Are you having problems upgrading cf-release postgres?


CF Runtime
 

Good afternoon,

Last week, we merged a branch into cf-release that upgraded the postgres
instance if you are running one.

We saw this fail on two of our environments and reverted these changes on
Friday. We have since committed a fix and pushed that, too.

If you are using the develop branch of cf-release and your database did not
successfully upgrade, you should get the latest version, and do the
following on your postgres VM:

monit stop postgres
rm -rf /var/vcap/store/postgres-9.4.2
rm /var/vcap/store/FLAG_POSTGRES_UPGRADE

At that point you should be able to deploy the new version and it will
upgrade cleanly. Please let us know if you have any problems upgrading.


Dan Wendorf and Utako,
CF Runtime Team